Subject: Re: (i18n.373) euro

From: Asmus Freytag <[email-masked]>
Date: Mon, 29 Sep 1997 18:41:55 -0700

At 08:28 PM 09/27/97 +0200, you wrote:
>I got a number of replies telling me that the conversion rate
>between the euro and each individual national currency in the EMU
>is going to be fixed for the duration of the transition period.
>The rate is thus a good candidate for an entry in a locale.

This is bad engineering. Not all information about a country or its currency
belongs in a "locale". In fact, this is a perfect example of what is broken in
the standard POSIX approach to locales. The correct way would involve using
a locale to access that information from an object that knows about currencies.
Look no further than the Java JDK 1.1 for an example of how to structure
things differently and with more expressive power and extensibility.

A./